## List all Contacts

Returns a paginated list of all contacts for the authenticated merchant.

## Endpoint signature

```http
POST https://api.reservepay.com/merchants/list-contacts HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>

{
  per_page: number?,
  after: string?,
  before: string?,
}
```

Returns: array, object

## Request arguments

### `per_page` (number)

_Optional_. Number of contacts to return per page (enables paginated response).

### `after` (string)

_Optional_. Cursor for pagination - return contacts created before this contact ID.

### `before` (string)

_Optional_. Cursor for pagination - return contacts created after this contact ID.

## Response attributes

### `previous` (object)

_Nullable_. Cursor for the previous page. Contains 'before' (ID) and 'per_page' (page size) parameters. Use these values in the 'before' and 'per_page' parameters of the next request to get the previous page.

### `page` (array)

**Always present**. The current page of records, ordered by creation date (newest first).

### `next` (object)

_Nullable_. Cursor for the next page. Contains 'after' (ID) and 'per_page' (page size) parameters. Use these values in the 'after' and 'per_page' parameters of the next request to get the next page.

## Errors common to all endpoints

### `UNHANDLED_ERROR`

This error occurs when the server encounters an unexpected internal error that
it cannot handle gracefully. This typically happens due to bugs, infrastructure
issues, or edge cases that weren't anticipated during development.

### `INVALID_ARGUMENTS`

This error occurs when the request contains invalid or missing parameters.
Common cases include missing required fields, or values that don't match the
expected format or type.

### `BAD_VERSION`

This error occurs when making requests to an API version that does not exist.
This commonly happens when using an outdated SDK or when the API version
specified in the request URL is incorrect.
